import javax.swing.JApplet;
import javax.swing.JOptionPane;
import javax.swing.JTextArea;
import java.awt.Container;

public class H6OefT3 extends JApplet
{
	public void init ()
	{
		int zijde;
		String vulkar;
		String zijdestr;
		String vierkant;
		JTextArea outputArea = new JTextArea();

		zijdestr = JOptionPane.showInputDialog("Geef de zijde van een vierkant: ");
		zijde = Integer.parseInt(zijdestr);
		vulkar = JOptionPane.showInputDialog("Geef het vulkarakter: ");

		vierkant = maakVierkant(zijde, vulkar);

		outputArea.setText(vierkant);
		Container container = getContentPane();
		container.add(outputArea);

	}

	String maakVierkant(int z, String v)
	{   String lijn = "", result = "";

		for (int i = 0;i < z; i++)
			 lijn += v;

		lijn +="\n";

		for (int i=0;i < z; i++)
			result += lijn;


		return result;
	}


}
